Skip to main content
GET
/
v2
/
categories
/
import
/
{import_id}
Get category import status
curl --request GET \
  --url https://commerceos.aiagents.fabric.inc/api/v2/categories/import/{import_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'domain: <domain>'
{
  "import_id": "a0cf63a0-55b8-4a25-9218-d972d4d65a79",
  "name": "tcs_category_test.csv",
  "status": "COMPLETED",
  "total_rows": 333,
  "processed_rows": 333,
  "new_count": 333,
  "updated_count": 0,
  "skipped_count": 0,
  "failed_count": 0,
  "input_filename": "tcs_category_test.csv",
  "input_file_url": "https://example.com/input.csv",
  "error_file_url": null,
  "error_message": null,
  "started_at": "2026-03-12T17:58:13.722428Z",
  "completed_at": "2026-03-12T17:58:14.564840Z",
  "created_at": "2026-03-12T17:58:13.605818Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

domain
string
required

The brand domain or brand identifier used to scope the request to a specific brand’s data and configuration.

Example:

"vessel"

Path Parameters

import_id
string<uuid>
required

Import ID returned from POST /api/v2/categories/import.

Example:

"a0cf63a0-55b8-4a25-9218-d972d4d65a79"

Response

Import status

import_id
string<uuid>
required
status
string
required
Example:

"COMPLETED"

total_rows
integer
required
Example:

333

processed_rows
integer
required
Example:

333

created_at
string<date-time>
required
name
string
Example:

"tcs_category_test.csv"

new_count
integer
Example:

333

updated_count
integer
Example:

0

skipped_count
integer
Example:

0

failed_count
integer
Example:

0

input_filename
string
Example:

"tcs_category_test.csv"

input_file_url
string<uri> | null
Example:

"https://example.com/input.csv"

error_file_url
string<uri> | null
Example:

null

error_message
string | null
Example:

null

started_at
string<date-time> | null
completed_at
string<date-time> | null